import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaInputType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaInputTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaInputType> {
    return this.rpcService.call<MetaInputType>('MetaInputTypeService.readByKey', key);
  }

  public readAll(): Observable<MetaInputType[]> {
    return this.rpcService.call<MetaInputType[]>('MetaInputTypeService.readAll');
  }
}
